summaryrefslogtreecommitdiffstats
path: root/modules.d/98dracut-systemd/module-setup.sh
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xmodules.d/98dracut-systemd/module-setup.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/modules.d/98dracut-systemd/module-setup.sh b/modules.d/98dracut-systemd/module-setup.sh
index 3195377..0ea26d4 100755
--- a/modules.d/98dracut-systemd/module-setup.sh
+++ b/modules.d/98dracut-systemd/module-setup.sh
@@ -4,12 +4,15 @@
check() {
[[ $mount_needs ]] && return 1
+ # If the binary(s) requirements are not fulfilled the module can't be installed
+ require_binaries "$systemdutildir"/systemd || return 1
+
return 0
}
# called by dracut
depends() {
- echo "systemd-initrd"
+ echo "systemd-initrd systemd-ask-password"
return 0
}